# Uses of Interface
org.opensaml.saml.saml2.metadata.PDPDescriptor

Packages that use PDPDescriptor
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of PDPDescriptor in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return PDPDescriptor
Modifier and Type
Method
Description
`PDPDescriptor`
EntityDescriptor.`getPDPDescriptor(String supportedProtocol)`
Gets the first `PDPDescriptor` role descriptor for this entity that supports the given protocol.

## Uses of PDPDescriptor in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement PDPDescriptor
Modifier and Type
Class
Description
`class`
`PDPDescriptorImpl`
Concrete implementation of `PDPDescriptor`.
Methods in org.opensaml.saml.saml2.metadata.impl that return PDPDescriptor
Modifier and Type
Method
Description
`PDPDescriptor`
PDPDescriptorBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`PDPDescriptor`
PDPDescriptorBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`PDPDescriptor`
EntityDescriptorImpl.`getPDPDescriptor(String supportedProtocol)`
Gets the first `PDPDescriptor` role descriptor for this entity that supports the given protocol.